Skip to main content

Get Payments History

Returns a list of your order payments that match the specified reference. Results are returned in reverse chronological order, with the most recent payments shown first.

POST/payment/history

Authentication

Authorization: Bearer <YOUR_API_key>

Request Parameters

FieldTypeDescriptionRequired
start_datestring (ISO8601)Start of the date range filter. Records created on or after this date will be included.
end_datestring (ISO8601)End of the date range filter. Records created before or on this date will be included.

Response Fields

FieldTypeDescriptionRequired
amountNumberThe total sum of all returned order amounts in the result set.
dataArray of objectsA list of order objects returned by the query.
{
  "amount": 0,
  "data": [
    {
      "id": 0,
      "Amount": 0,
      "currency": "string",
      "customer": "string",
      "product": "string",
      "hook_url": "string",
      "status": "PENDING"
    }
  ]
}

Request Samples

    curl -X POST https://luxfin.org/payment/history \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"start_date": "2019-08-24T14:15:22Z",
"end_date": "2019-08-24T14:15:22Z"
}'